Package wx :: Class FontPickerEvent

[frames | no frames]

## Type FontPickerEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
                        FontPickerEvent

Proxy of C++ FontPickerEvent class

Method Summary
CommandEvent | ``__init__`(self, commandType, winid)` This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.
Font | `GetFont(self)`
| `SetFont(self, c)`

Property Summary
| `Font`: See `GetFont` and `SetFont`
| `thisown`: The membership flag

Method Details

### __init__(self, generator, id, f)
(Constructor)

This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.

  Parameters:
    `commandType`
    (type=EventType)

    `winid`
    (type=int)

  Returns:
    CommandEvent
  Overrides:
    `wx.CommandEvent.__init__` (inherited documentation)

Property Details

### Font

See `GetFont` and `SetFont`

  Get Method:
    `GetFont`(self)
  Set Method:
    `SetFont`(self, c)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:47:45 2007 | http://epydoc.sf.net